Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Namespaces | Macros | Functions
futils.h File Reference
`#include "pluginterfaces/base/ftypes.h"`

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Macros
#define | CCONST(a, b, c, d) ((((int32) (a)) << 24) | (((int32) (b)) << 16) | (((int32) (c)) << 8) | (((int32) (d)) << 0))

## Functions
template<class T >
const T & | Min (const T &a, const T &b)
template<class T >
const T & | Max (const T &a, const T &b)
template<class T >
T | Abs (const T &value)
template<class T >
T | Sign (const T &value)
template<class T >
T | Bound (T minval, T maxval, T x)
template<class T >
void | Swap (T &t1, T &t2)
template<class T >
bool | IsApproximateEqual (T t1, T t2, T epsilon)
template<class T >
T | ToNormalized (const T &value, const int32 numSteps)
template<class T >
int32 | FromNormalized (const T &norm, const int32 numSteps)

## Macro Definition Documentation

#define CCONST | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  | ((((int32) (a)) << 24) | (((int32) (b)) << 16) | (((int32) (c)) << 8) | (((int32) (d)) << 0))

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.